Update an expense report
curl --request PATCH \
--url https://www.ruddr.io/api/workspace/expense-reports/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"notes": "<string>",
"date": "2023-12-25"
}
'import requests
url = "https://www.ruddr.io/api/workspace/expense-reports/{id}"
payload = {
"title": "<string>",
"notes": "<string>",
"date": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', notes: '<string>', date: '2023-12-25'})
};
fetch('https://www.ruddr.io/api/workspace/expense-reports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "c3e7a1f4-82b5-4d9e-b063-2f8a1c5e9d47",
"number": 14,
"title": "January 2025 Expenses",
"notes": "Monthly expense report.",
"date": "2025-01-15",
"createdAt": "2025-01-15T20:47:03.284Z",
"member": {
"id": "a9b2d6e8-3c14-4f7a-9051-6e8b2d4f1c93",
"name": "Jane Smith"
}
}Expense Reports
Update an expense report
PATCH
/
expense-reports
/
{id}
Update an expense report
A container for expense items. This helps group expenses for a specific purpose.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The expense report uuid
Body
application/json
Response
200
The unique identifier for the object.
The report number.
The report title.
Any notes for the report.
The report date. Will be in the form YYYY-MM-DD.
The timestamp when the object was created.
The member associated with this expense report.
Show child attributes
Show child attributes
⌘I